## org.codehaus.groovy.grails.web.pages.ext.jsp
Class UncloseableInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.codehaus.groovy.grails.web.pages.ext.jsp.UncloseableInputStream

All Implemented Interfaces:
  Closeable

     class UncloseableInputStream

extends FilterInputStream

Since:
  1.0

  Created: Apr 30, 2008
Author:
  Graeme Rocher

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`protected` `UncloseableInputStream(InputStream inputStream)`

Method Summary
`void` `close()`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncloseableInputStream

    protected UncloseableInputStream(InputStream inputStream)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`

Copyright (c) 2005-2009 The Grails project